const store = new Store({
  mainMenuActive: 'products',
  exportFormat: 'yaml',
  exportData: 'tags',
  exportTableName: 'SOMETABLE',
  productFilterText: '',
  componentFilterText: '',
  'productFilterByTitle': true,
  'productFilterByComponent': true,
  'productFilterByTag': true,
  'generateType': 'radio',
  'generatePhoto': false,
  generateCategory: 'product'
});


if(!window.storeLoaded){
  window.storeLoaded = true;
  try{
    var data = JSON.parse( localStorage.getItem( 'store' ) );
    window.addEventListener && console.log( data )
    for( var k in data ){
      store.set( k, data[ k ] );
    }
  }catch( e ){
  }
  store.on( 'change', function(){
    localStorage.setItem( 'store', JSON.stringify( store._props ) );
  } );

}